const Server = require('..');

const server = new Server({
    routes: { 'admin': '/path/to/admin' },
    port: 9999,
});

server
    .attach({
        'GET admin': (ctx) => ctx.body = 'Hi, admin',
        'GET /guest': (ctx) => ctx.body = 'Hi, guest',
    }, (method, name, handler) => {
        console.log(method, name);
        return handler;
    })
    .bind('POST admin', (ctx) => ctx.body = 'Add user')
    .run();
