const Server = require('..');

const server = new Server({
    port: 11011,
    cors: {},
    serve: './dist',
    bodypaser: { jsonLimit: '50mb', formLimit: '50mb' }
});

async function asyncFun() {
    return 'hello';
}

// 异步
server.router.get('/hello', async ctx => {
    ctx.body = await asyncFun();
});

// 错误时返回状态码
server.router.get('/coffee', async ctx => {
    ctx.throw(418);
});

server.run();